Sisimai::Reason::Suppressed(3pm)

NAME
Sisimai::Reason::Suppressed - Bounce reason is "suppressed" or not.

SYNOPSIS
    use Sisimai::Reason::Suppressed;
    print Sisimai::Reason::Suppressed->match('address neko@example.jp in the suppression list'); # 1

DESCRIPTION
"Sisimai::Reason::Suppressed" checks the bounce reason is "suppressed" or not. This class is called only "Sisimai::Reason" class.

This is the error that the recipient adddress is listed in the suppression list of the relay server, and was not delivered.

CLASS METHODS

  "text()"
text() method returns the fixed string "suppressed".

    print Sisimai::Reason::Suppressed->text;  # suppressed

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Suppressed->match('address cat@example.jp is in the suppression list'); # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "suppressed". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.